Skip to content
vocapable.Docs

Read a task

GET
/v1/workspace/tasks/{task_id}
curl --request GET \
--url https://api.vocapable.com/v1/workspace/tasks/example \
--header 'Authorization: Bearer <token>'
task_id
required
Task Id
string

Successful Response

Media typeapplication/json
WorkspaceTask
object
id
required
Id
string
kind
required
Kind
string
Allowed values: follow_up callback delivery review case_response meeting_prep
title
required
Title
string
organization_id
required
Any of:
string
contact_id
required
Any of:
string
opportunity_id
required
Any of:
string
subject_type
required
Any of:
string
Allowed values: handoff case meeting approval call quote
subject_id
required
Any of:
string
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
due_at
required
Any of:
string format: date-time
status
required
Status
string
Allowed values: open done cancelled
completed_at
required
Any of:
string format: date-time
completed_by_user_id
required
Any of:
string
completion_note
required
Any of:
string
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{
"kind": "follow_up",
"subject_type": "handoff",
"status": "open"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}